<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author 		juan.agudelo
@version 		2.0
@description	Pantalla de busqueda de solicitantes
@cu 			CU-CO-R-01
@param			managedBeanParam:			Nombre del ManagedBean del que se obtendran los parametros 
@param			selectedSolicitanteParam:	Objeto del tipo Solicitante que se adicionara a busqueda de 
                                            solicitudes
@param			updateFormParam:			Forma de destino para actualizar.
@param			containerFormParam			Forma contenedora a actualizar.

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             id="buscarSolicitantesPanelGrid" width="100%">

    <p:messages id="msgsBS" showDetail="false" globalOnly="true" />

    <h:panelGrid columns="10" width="100%" cellspacing="7">

        <h:outputLabel value="Tipo de persona: " styleClass="outputLabelStyle" />

        <h:selectOneRadio value="#{managedBeanParam.tipoPersona}">
            <f:selectItem itemLabel="Natural" itemValue="0" />
            <f:selectItem itemLabel="Jurídica" itemValue="1" />
            <p:ajax
                update="#{containerFormParam}:msgsBS, buscarSolicitantesPanelGrid, PersonaTipoIdentificacionV, 
                #{containerFormParam}"
                listener="#{managedBeanParam.tipoPersonaSel}" />
        </h:selectOneRadio>

        <h:outputLabel value="Tipo de identificación: "
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="tipoIdentificacion"
                         label="Tipo de identificación"
                         value="#{filtroDCSolicitanteParam.tipoIdentificacion}"
                         rendered="#{managedBeanParam.tipoPersonaN}">
            <f:selectItem itemLabel="Seleccionar..." itemValue="" />
            <f:selectItems value="#{general.personaTipoIdentificacionNoNitV}" />
        </h:selectOneMenu>

        <p:spacer height="0" width="7"
                  rendered="#{!managedBeanParam.tipoPersonaN}" />
        <h:outputText value="#{filtroDCSolicitanteParam.tipoIdentificacion}"
                      id="PersonaTipoIdentificacionV" styleClass="outputTextStyle"
                      rendered="#{!managedBeanParam.tipoPersonaN}">
            <f:converter converterId="converterCB"
                         for="PersonaTipoIdentificacionV" />
        </h:outputText>

        <p:spacer height="0" width="7" />
        <h:outputLabel value="Número identificación: "
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroIdentificacion"
                     value="#{filtroDCSolicitanteParam.numeroIdentificacion}"
                     label="Número identificación" size="30" />

    </h:panelGrid>

    <p:separator />

    <h:panelGrid columns="3">
        <h:panelGrid columns="12" id="bloqueoI"
                     rendered="#{managedBeanParam.tipoPersonaN}" cellspacing="7">

            <h:outputLabel value="Primer apellido: "
                           styleClass="outputLabelStyle" />
            <h:inputText id="primerApellido"
                         value="#{filtroDCSolicitanteParam.primerApellido}"
                         label="Primer apellido" />

            <p:spacer height="0" width="7" />
            <h:outputLabel value="Segundo apellido: "
                           styleClass="outputLabelStyle" />
            <h:inputText id="segundoApellido"
                         value="#{filtroDCSolicitanteParam.segundoApellido}"
                         label="Segundo apellido" />

            <p:spacer height="0" width="7" />
            <h:outputLabel value="Primer nombre: " styleClass="outputLabelStyle" />
            <h:inputText id="primerNombre"
                         value="#{filtroDCSolicitanteParam.primerNombre}"
                         label="Primer nombre" />

            <p:spacer height="0" width="7" />
            <h:outputLabel value="Segundo nombre: " styleClass="outputLabelStyle" />
            <h:inputText id="segundoNombre"
                         value="#{filtroDCSolicitanteParam.segundoNombre}"
                         label="Segundo nombre" />

        </h:panelGrid>

        <h:panelGrid columns="5" rendered="#{!managedBeanParam.tipoPersonaN}"
                     cellspacing="7">

            <h:outputLabel value="Razón social: " styleClass="outputLabelStyle" />
            <h:inputText id="razonS"
                         value="#{filtroDCSolicitanteParam.razonSocial}" size="40"
                         label="Razón social" />

            <p:spacer height="0" width="7" />
            <h:outputLabel value="DV" styleClass="outputLabelStyle" />
            <h:inputText id="dv"
                         value="#{filtroDCSolicitanteParam.digitoVerificacion}" size="2"
                         label="DV" />
        </h:panelGrid>

        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer height="0" width="13" />
            <p:commandButton value="Buscar" rendered="#{!filtrosAdicionalesBool}"
                             action="#{managedBeanParam.buscarSolicitantes}" 
                             icon="ui-icon ui-icon-search" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();" process="@form"
                             update="buscarSolicitantesPanelGrid,#{updateFormParam},
                             #{containerFormParam}:msgsBS"
                             ajax="true" />
            <p:spacer width="30" height="0" />
        </p:outputPanel>
    </h:panelGrid>

    <p:spacer width="0" height="15"
              rendered="#{managedBeanParam.banderaBuscarSolicitantes or !filtrosAdicionalesBool}" />

    <h:panelGrid columns="2" cellspacing="7">
        <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
        <h:outputText
            value="Debe seleccionar un solicitante para realizar la búsqueda de solicitud."
            styleClass="noteTextStyle" />
    </h:panelGrid>

    <p:dataTable var="solicitantes" id="resultsDT" paginator="true"
                 value="#{managedBeanParam.solicitantesRes}" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                 selectionMode="single" rowKey="#{solicitantes.id}"
                 selection="#{managedBeanParam.solicitanteSeleccionadoTemp}"
                 rendered="#{managedBeanParam.banderaBuscarSolicitantes or !filtrosAdicionalesBool}"
                 emptyMessage="No hay resultados para esta búsqueda">

        <p:ajax event="rowSelect"
                listener="#{managedBeanParam.seleccionarSolicitanteSolicitud}"
                update="#{updateFormParam}" onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();" />
        <p:ajax event="rowUnselect"
                listener="#{managedBeanParam.desSeleccionarSolicitanteSolicitud}"
                update="#{updateFormParam}" />

        <f:facet name="header">  
            Resultados de la búsqueda 
        </f:facet>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo de identificación" />
            </f:facet>
            <h:outputText value="#{solicitantes.tipoIdentificacion}" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Número de identificación" />
            </f:facet>
            <h:outputText value="#{solicitantes.numeroIdentificacion}" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nombre completo" />
            </f:facet>
            <h:outputText value="#{solicitantes.nombreCompleto}" />
        </p:column>
    </p:dataTable>

</h:panelGrid>

